@import (once) "theme";

.center  { text-align: center; }
.vmiddle { vertical-align: middle; }
.left    { text-align: left; }
.right   { text-align: right; }
.justify { text-align: justify; }

.float-left    { float: left; }
.float-right   { float: right; }

.small { color: @myhordes-smalltext; font-size: 1.1rem; }
.medium { font-size: 1.6rem; }
.critical { color: #f86000; font-weight: bold }

.pointer {cursor: pointer;}
.no-ws { font-size: 0 }

hr.dashed {
	border: 1px dashed @myhordes-smalltext;
}

h5 {
  margin: 15px 0 2px;
  font-variant: small-caps; font-weight: bold; color: @myhordes-smalltext;
  border-bottom: 2px solid @myhordes-smalltext;
  background: linear-gradient(to top, #643b25 0%, rgba(100, 59, 37, 0) 50%, rgba(100, 59, 37, 0) 100%);
}

h1.page-head {
	padding: 7px 0 14px 48px; margin: 0 0 8px; color: #f0d79e;
	font-size: 1.4rem; line-height: 17px; letter-spacing: 1px; text-transform: uppercase;
	background-image: url("../img/h1.gif");	background-repeat: no-repeat; background-position-y: bottom;
	clear: both;
}

h2.page-head {
  height: 17px; padding: 0; margin: 15px 0 5px;
  color: #ddab76; font-size: 1.2rem; line-height: 17px;
  text-transform: uppercase; border-bottom: 2px solid #ddab76;
  background-image: url("../img/help/h2.gif");
  background-repeat: repeat-x; background-position: left bottom;
  clear: both;
}

.page-head > strong { color: white }

*[disabled] { pointer-events: none; filter: saturate(0%) contrast(50%) brightness(110%); }
*.no-interaction { pointer-events: none; }

img.fit { width: 100%; }

ul.feature-list {
  font-size: 0.8em;
  strong, b { color: @myhordes-smalltext }
}

.boxed {
  border: 1px solid #f0d79e;
  outline: 1px solid #5c2b20;
}

.bold { font-weight: bold }
.italic { font-style: italic  }

.hidden,.hidden-empty:empty { display: none!important; }

.link {
	cursor: pointer;
	&:not(.undecorated) { text-decoration: underline; }
	color: @myhordes-smalltext;
	&:hover {
		color: white;
	}
}

button {
	img { margin-right: 5px; }
}

.content-center-vertical { display: flex; align-items: center; }
.content-center-horizontal {display: flex; justify-content: center; }

.pad { padding: 5px; }

div.band {
	border: 1px solid @myhordes-smalltext; position: relative; text-align: center; height: 0; margin: 30px 0;
	filter: drop-shadow(0 0 4px black);
	>span {
		display: inline-block; position: relative; top: -15px; height: 30px; text-transform: uppercase;
		background: @myhordes-smalltext; color: white; padding: 5px 15px; font-weight: bold; border-radius: 15px;
	}
}

.ellipsis { overflow: hidden; text-overflow: ellipsis; }

.relative { position: relative }

.full-height {height: 100%}
.auto-height {height: auto}
.full-width {width: 100%}
.max-height {max-height: 100%}

.text-wrap-all { word-break: break-all; }
.text-wrap-none { word-break: keep-all; }

button.button-dropdown-button, div.button.button-dropdown-button, div.forum-button.button-dropdown-button {
  position: relative; overflow: visible; display: inline-block; width: auto;
  .button-dropdown {
    display: none; position: absolute; top: 100%; left: 0; cursor: auto;
    border: 1px solid #f0d79e; outline: 1px solid #5c2b20; background: #3c2018; padding: 5px; z-index: 10;
    button:not(.inline), .button:not(.inline), .forum-button:not(.inline) {width: 100%; white-space: nowrap}
  }
  &:focus .button-dropdown, & .button-dropdown:focus-within, & .button-dropdown:hover {
    display: block;
  }
}

.spaced-icon { display: flex; align-items: center; justify-content: space-between; column-gap: 5px; }

.clear {clear: both;}

.no-margin {
	margin: 0;
}

div.inline { display: inline-block }

@keyframes delay-pointer-events {
  0% { pointer-events: none; }
  99% { pointer-events: none; }
  100% { pointer-events: all; }
}